Subject: bug#44964: closed (Re: bug#44914: gnutls-dane does not build: failed test status-request-revoked)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Dec 2020 21:11:02 +0000

Your bug report

#44914: Since last week I cannot upgrade wget2; gnutls-dane fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44914: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44914
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44914: gnutls-dane does not build: failed test status-request-revoked
From: Marius Bakke <[email-masked]>
To: "Dr. Arne Babenhauserheide" <[email-masked]>, [email-masked]
Date: Thu, 03 Dec 2020 22:10:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

"Dr. Arne Babenhauserheide" <[email-masked]> skriver:

> I cannot update Guix right now, because gnutls-dane fails to build.
>
> The build log is attached.
>
> make[4]: Entering directory '/tmp/guix-build-gnutls-dane-3.6.12.drv-0/gnutls-3.6.12/tests'
> …
> FAIL: status-request-revoked

This is because of a "time bomb" in GnuTLS:

  https://gitlab.com/gnutls/gnutls/-/issues/967

It was fixed in 3.6.14.  I worked around it for now by making
'gnutls-dane' inherit from a newer version in commit
7177411c34be42aa1c539f462f0de191c74a5913.

We'll do an 'ungrafting round' shortly so that we can fix this in GnuTLS
proper.

Subject: Since last week I cannot upgrade wget2; gnutls-dane fails
From: "Jorge P. de Morais Neto" <[email-masked]>
To: [email-masked]
Date: Mon, 30 Nov 2020 13:18:53 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.  Beginning last week (I don't recall precisely which day), when I
issue `guix upgrade', Guix wants to upgrade wget2, saying "(dependencies
or package changed)"; however, the upgrade fails because the test suite
of gnutls-dane fails.  I have attached the build log.  Note that I
recompressed the build log with xz, making it slightly smaller than with
bzip2.

I use Guix on an updated Debian buster with many packages from
backports, including the kernel---my kernel is:

    $ uname -a
    Linux jorge--inspiron-5570 5.8.0-0.bpo.2-amd64 #1 SMP Debian 5.8.10-1~bpo10+1 (2020-09-26) x86_64 GNU/Linux

Regards

-- 
- <https://jorgemorais.gitlab.io/justice-for-rms/>
- If an email of mine arrives at your spam box, please notify me.
- Please adopt free/libre formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
- [[https://www.gnu.org/philosophy/free-sw.html][What is free software?]]